Focus on the textarea after clicking the Edit Journal button
Status: Closed Start date:  

Priority: Normal Due date:  

Assignee: Marius BĂLTEANU % Done: 0%

Category: Issues Estimated time: 0.00 hour

Target version: 5.0.9   

Resolution: Fixed   

Description

I suggest adding the feature to focus on the textarea after clicking on the Edit Journal button.

Here is a simple patch as follows.

diff --git a/app/views/journals/edit.js.erb b/app/views/journals/edit.js.erb

index 96cf6b4f8..49fe4bec0 100644

--- a/app/views/journals/edit.js.erb

+++ b/app/views/journals/edit.js.erb

@@ -6,3 +6,13 @@ if ($("form#journal-<%= @journal.id %>-form").length > 0) {

 } else {

   $("#journal-<%= @journal.id %>-notes").after('<%= escape_javascript(render :partial => 'notes_f

orm') %>');

 }

+

+// Focus on the textarea

+(() => {

+  const $textarea = $("#journal-<%= @journal.id %>-form .wiki-edit");

+  if ($textarea.length > 0) {

+    $textarea.focus();

+    const textareaLength = $textarea.val().length;

+    $textarea.get(0).setSelectionRange(textareaLength, textareaLength);

+  }

+})();

Associated revisions

Revision 22791 - 2024-04-28 08:53 - Marius BĂLTEANU

Focus on the textarea after clicking the Edit Journal button (#40556).

Patch by Yasu Saku (@skys).

Revision 22794 - 2024-04-29 21:10 - Marius BĂLTEANU

Merged r22791 from trunk to 5.1-stable (#40556).

Revision 22795 - 2024-04-29 21:14 - Marius BĂLTEANU

Reverts r22794 (#40556).

Revision 22796 - 2024-04-29 21:15 - Marius BĂLTEANU

Merged r22791 from trunk to 5.1-stable (#40556).

Revision 22797 - 2024-04-29 21:15 - Marius BĂLTEANU

Merged r22791 from trunk to 5.0-stable (#40556).

History

#1 - 2024-04-28 08:54 - Marius BĂLTEANU

- Status changed from New to Resolved
- Assignee set to Marius BĂLTEANU

- Target version set to 5.0.9

Patch committed, thanks!

#2 - 2024-04-28 08:54 - Marius BĂLTEANU

- Resolution set to Fixed

#3 - 2024-04-29 21:16 - Marius BĂLTEANU

- Status changed from Resolved to Closed

#4 - 2024-04-29 21:23 - Yasu Saku

Thank you!

Powered by TCPDF (www.tcpdf.org)

2024-05-18 2/2

http://www.tcpdf.org

